// 采购内转需求
<template>
  <div class="steel_inbound">
    <div class="sache">
      <el-input placeholder="请输入内容" v-model="inputText" clearable>
      </el-input>
      <el-button type="primary" class="btn">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button
        type="primary"
        class="btn"
        @click="toInsert"
        v-if="activeName == 'first'"
      >
        <i class="el-icon-plus"></i>新增
      </el-button>
      <el-button
        type="primary"
        class="btn"
        @click="Issue"
        v-if="activeName == 'first'"
      >
        <i class="el-icon-download"></i>下发
      </el-button>
    </div>
    <template>
      <div>
        <el-tabs v-model="activeName">
          <el-tab-pane label="未下发" name="first">
            <dilTable v-bind.sync="first" @selection-change="selectionChange">
              <el-table-column fixed="right" label="操作" width="100">
                <template slot-scope="scope">
                  <el-button
                    type="text"
                    size="mini"
                    @click="deleteRequirement(scope)"
                  >
                    删除
                  </el-button>
                </template>
              </el-table-column>
            </dilTable>
          </el-tab-pane>
          <el-tab-pane label="已下发" name="second">
            <dilTable v-bind.sync="second" @func="func">
              <el-table-column fixed="right" label="操作" width="100">
                <template slot-scope="scope">
                  <el-button
                    type="text"
                    size="mini"
                    @click="stopRequirement(scope)"
                  >
                    {{startStop}}
                  </el-button>
                </template>
              </el-table-column>
            </dilTable>
          </el-tab-pane>
        </el-tabs>
      </div>
    </template>
  </div>
</template>
<script>
import { getCookie } from "@/utils/util.js";
export default {
  data() {
    return {
      startStop:null,
      startStopValue:null,
      inputText: "",
      first: {
        // first请求数据的地址
        requestUrl:
          "",
        selectionType: "select",
        mapList: [],
      },
      second: {
        // second请求数据的地址
        requestUrl:
          "",
      },
      activeName: "first",
    };
  },
  created(){
    if(getCookie("orgCode") == "dagangadmin"||getCookie("orgCode")=="zidonghuabu"){
        this.first.requestUrl = "/api/v1/ams/getPurRequirementList?apiId=431&requirementStatus=0" 
        this.second.requestUrl = "/api/v1/ams/getPurRequirementList?apiId=431&requirementStatus=1"
    }else{
         this.first.requestUrl = "/api/v1/ams/getPurRequirementList?apiId=431&requirementStatus=0&userId=" + getCookie("orgCode")
         this.second.requestUrl = "/api/v1/ams/getPurRequirementList?apiId=431&requirementStatus=1&userId=" + getCookie("orgCode")
    }
  },
  methods: {
    func(res){
        res.list.forEach(e => {
            if(e.enable == "未启用"){
               this.startStop = "停用"
            }else{
               this.startStop = "停用"
            }
        });
    },
    getRequestUrl(){
      if(getCookie("orgCode") == "dagangadmin"||getCookie("orgCode")=="zidonghuabu"){
        this.first.requestUrl = "/api/v1/ams/getPurRequirementList?apiId=431&requirementStatus=0" + "&t=" + new Date()
        this.second.requestUrl = "/api/v1/ams/getPurRequirementList?apiId=431&requirementStatus=1"  + "&t=" + new Date()
    }else{
         this.first.requestUrl = "/api/v1/ams/getPurRequirementList?apiId=431&requirementStatus=0&userId=" + getCookie("orgCode") + "&t=" + new Date()
         this.second.requestUrl = "/api/v1/ams/getPurRequirementList?apiId=431&requirementStatus=1&userId=" + getCookie("orgCode") + "&t=" + new Date()
    }
    },
    selectionChange(selection) {
      this.first.mapList = selection;
    },
    toInsert() {
      this.$router.push("/addRequirement");
    },
    deleteRequirement(scope) {
      console.log(scope.row.requirementId)
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.axios
            .post(
              "/api/v1/ams/deleteTruckRequirement/" + scope.row.requirementId
            )
            .then((res) => {
              if (res.data.code == 200) {
                this.$message({
                  type: "success",
                  message: "删除成功!",
                });
                this.getRequestUrl()
              } else {
                this.$message({
                  message: "删除失败",
                  type: "warning",
                });
              }
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "删除操作已取消!",
          });
        });
    },
    stopRequirement(scope){
      this.$confirm("是否停用", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.axios
            .post("/api/v1/ams/changePlanStatus/" + scope.row.planId)
            .then((res) => {
              if (res.data.code == 200) {
                this.$message({
                  type: "success",
                  message: "停用成功!",
                });
              this.getRequestUrl()
              } else {
                this.$message({
                  message: "停用失败",
                  type: "warning",
                });
              }
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消下发!",
          });
        });
    },
    Issue() {
      this.$confirm("是否下发", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.axios
            .post("/api/v1/ams/downRequirement", this.first.mapList)
            .then((res) => {
              if (res.data.code == 200) {
                this.$message({
                  type: "success",
                  message: "下发成功!",
                });
              this.getRequestUrl()
              this.activeName = 'second'
              } else {
                this.$message({
                  message: "下发失败",
                  type: "warning",
                });
              }
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消下发!",
          });
        });
    },
  },
};
</script>
<style lang="scss">
.steel_inbound{
  .sache{
    padding: 1.25rem 0.375rem;
    .el-input {
      width: 20%;
      margin-right: 1.25rem;
    }
  }
  }
</style>
